Bug 1437464 - SELinux alerts and unable to submit bug report after installation reach 100%
Summary: SELinux alerts and unable to submit bug report after installation reach 100%
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-30 11:26 UTC by Alessio
Modified: 2018-05-29 11:33 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:33:10 UTC


Attachments (Terms of Use)
screenshot (64.42 KB, image/png)
2017-03-30 11:26 UTC, Alessio
no flags Details

Description Alessio 2017-03-30 11:26:18 UTC
Created attachment 1267510 [details]
screenshot

Description of problem:

Various SELinux alerts just reaching the 100% of the installation.
Unable to file reports of these bugs using GUI: Submit Report lead to an empty window with only the Close button.

Version-Release number of selected component (if applicable):

Fedora 26 Alpha 1.7

How reproducible:

Install latest RC7 workstation Live.

Actual results:

SELinux is preventing useradd from using the net_admin capability.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that useradd should have the net_admin capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'useradd' --raw | audit2allow -M my-useradd
# semodule -X 300 -i my-useradd.pp

Additional Information:
Source Context                system_u:system_r:useradd_t:s0
Target Context                system_u:system_r:useradd_t:s0
Target Objects                Unknown [ capability ]
Source                        useradd
Source Path                   useradd
Port                          <Unknown>
Host                          localhost
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-249.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     localhost-live
Platform                      Linux localhost-live
                              4.11.0-0.rc3.git0.2.fc26.x86_64 #1 SMP Thu Mar 23
                              18:31:56 UTC 2017 x86_64 x86_64
Alert Count                   14
First Seen                    2017-03-30 10:54:25 EDT
Last Seen                     2017-03-30 10:54:25 EDT
Local ID                      0e2487e7-a57b-4488-bd61-8984af8c0313

Raw Audit Messages
type=AVC msg=audit(1490885665.354:106): avc:  denied  { net_admin } for  pid=925 comm="useradd" capability=12  scontext=system_u:system_r:useradd_t:s0 tcontext=system_u:system_r:useradd_t:s0 tclass=capability permissive=0


Hash: useradd,useradd_t,useradd_t,capability,net_admin

Comment 1 Alessio 2017-03-30 13:49:19 UTC
This happens using Workstation Live.
No issues installing via PXE.

Comment 2 Fedora End Of Life 2018-05-03 09:04:07 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:33:10 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.